/** ********************************
 * AuthService interface and hook.
 ** ******************************** */
export interface AuthService {
    isAuthEnabled: () => boolean;
    isAuthenticated: () => Promise<boolean>;
    getUsername: () => Promise<string | undefined>;
    getToken: () => Promise<string | undefined>;
    login: () => Promise<void>;
    logout: () => Promise<void>;
}
/**
 * React hook to get the application Auth service.
 */
export declare const useAuth: () => AuthService;
